Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-2334

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2012-2334
Last Modified 24 Oct 2014 02:33:23
Published 19 Jun 2012 04:55:06
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2012-2334

Summary

Integer overflow in filter/source/msfilter/msdffimp.cxx in OpenOffice.org (OOo) 3.3, 3.4 Beta, and possibly earlier, and LibreOffice before 3.5.3, allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via the length of an Escher graphics record in a PowerPoint (.ppt) document, which triggers a buffer overflow.

Vulnerable Systems

Application

  • Apache Openoffice.org 3.3

  • Apache Openoffice.org 3.4

  • Libreoffice 3.3.0

  • Libreoffice 3.3.1

  • Libreoffice 3.3.2

  • Libreoffice 3.3.3

  • Libreoffice 3.3.4

  • Libreoffice 3.4.0

  • Libreoffice 3.4.1

  • Libreoffice 3.4.2

  • Libreoffice 3.4.5

  • Libreoffice 3.5

  • Libreoffice 3.5.2


References

MISC - https://bugzilla.redhat.com/show_bug.cgi?id=821803

BID - 53570

OSVDB - 82517

MLIST - [oss-security] 20120528 Kind request to update upstream CVE-2012-2334 advisories they to reflect arbitrary code execution possibility too and OSS list notification

CONFIRM - http://www.openoffice.org/security/cves/CVE-2012-2334.html

MANDRIVA - MDVSA-2012:091

MANDRIVA - MDVSA-2012:090

CONFIRM - http://www.libreoffice.org/advisories/cve-2012-2334/

DEBIAN - DSA-2487

SECTRACK - 1027070

SECUNIA - 49392

SECUNIA - 49373

SECUNIA - 47244

SECUNIA - 46992

REDHAT - RHSA-2012:0705

FEDORA - FEDORA-2012-8114

CONFIRM - http://cgit.freedesktop.org/libreoffice/core/commit/?id=512401decb286ba0fc3031939b8f7de8649c502e

CONFIRM - http://cgit.freedesktop.org/libreoffice/core/commit/?id=28a6558f9d3ca2dda3191f8b5b3f2378ee2533da

XF - openoffice-powerpoint-dos(75695)

BUGTRAQ - 20120516 CVE-2012-2334 Vulnerabilities related to malformed Powerpoint files in OpenOffice.org 3.3.0

GENTOO - GLSA-201408-19

SECUNIA - 60799

Related Patches

Red Hat 2012:0705-01 RHSA Important: openoffice.org security update for RHEL 5 x86

Red Hat 2012:0705-01 RHSA Important: openoffice.org security update for RHEL 5 x86_64


Last Updated: 27 May 2016 10:57:32